
#include <cmath>
#include "circle.h"

Circle::Circle(){
    x = y = 0;
    r = 0;
}

Circle::Circle(int x,int y,double r){
    this->x = x;
    this->y = y;
    this->r = r;
}

Circle::~Circle(){
    x = y = 0;
    r = 0;
}

int Circle::getx(){
    return x;
}
void Circle::setx(int x){
    this->x = x;
}


int Circle::gety(){
    return y;
}
void Circle::sety(int y){
    this->y = y;
}


double Circle::getr(){
    return r;
}
void Circle::setr(double r){
    this->r = r;
}

double Circle::area(){
    return atan(1)*4.0 * r * r;
}

